From: Maximiliano Sandoval <m.sandoval@proxmox.com>
To: pmg-devel@lists.proxmox.com
Subject: [pmg-devel] [PATCH pmg-api v3 06/10] postinstall: make rrdcached be readable by the pmg group
Date: Mon, 17 Jun 2024 16:18:03 +0200 [thread overview]
Message-ID: <20240617141807.722744-6-m.sandoval@proxmox.com> (raw)
In-Reply-To: <20240617141807.722744-1-m.sandoval@proxmox.com>
Signed-off-by: Maximiliano Sandoval <m.sandoval@proxmox.com>
---
debian/postinst | 8 ++++++++
1 file changed, 8 insertions(+)
diff --git a/debian/postinst b/debian/postinst
index ebae645..f139e55 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -53,6 +53,14 @@ migrate_pmg_smtp_filter() {
chown :pmg /var/lib/pmg
+ # FIXME: This is not ideal
+ if ! cat /etc/default/rrdcached | grep -q "^SOCKGROUP=pmg$"; then
+ sed -i "s/#SOCKGROUP=root/SOCKGROUP=pmg/" /etc/default/rrdcached
+ if systemctl --quiet is-active rrdcached.service ; then
+ deb-systemd-invoke reload-or-try-restart rrdcached.service >/dev/null || true
+ fi
+ fi
+
pmgdb update >/dev/null 2>&1 &
}
--
2.39.2
_______________________________________________
pmg-devel mailing list
pmg-devel@lists.proxmox.com
https://lists.proxmox.com/cgi-bin/mailman/listinfo/pmg-devel
next prev parent reply other threads:[~2024-06-17 14:18 UTC|newest]
Thread overview: 10+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-06-17 14:17 [pmg-devel] [PATCH pmg-api v3 01/10] pmgpolicy: move pid file into /run/pmgpolicy Maximiliano Sandoval
2024-06-17 14:17 ` [pmg-devel] [PATCH pmg-api v3 02/10] pmg-smtp-filter: move pid file into /run/pmg-smtp-filter Maximiliano Sandoval
2024-06-17 14:18 ` [pmg-devel] [PATCH pmg-api v3 03/10] config: store config lock in smtp-filter runtime dir Maximiliano Sandoval
2024-06-17 14:18 ` [pmg-devel] [PATCH pmg-api v3 04/10] create new users for the rule db Maximiliano Sandoval
2024-06-17 14:18 ` [pmg-devel] [PATCH pmg-api v3 05/10] postinstall: add new group for shared functionality Maximiliano Sandoval
2024-06-17 14:18 ` Maximiliano Sandoval [this message]
2024-06-17 14:18 ` [pmg-devel] [PATCH pmg-api v3 07/10] spamasassin: store files in dir managed by pmg Maximiliano Sandoval
2024-06-17 14:18 ` [pmg-devel] [PATCH pmg-api v3 08/10] mailqueue: make mail queue writable by pmg group Maximiliano Sandoval
2024-06-17 14:18 ` [pmg-devel] [PATCH pmg-api v3 09/10] d/sysusers: add users for pmgpolicy and smtp-filter Maximiliano Sandoval
2024-06-17 14:18 ` [pmg-devel] [PATCH pmg-api v3 10/10] fix #4926: run pmg-smtp-filter and pmgpolicy without root rights Maximiliano Sandoval
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20240617141807.722744-6-m.sandoval@proxmox.com \
--to=m.sandoval@proxmox.com \
--cc=pmg-devel@lists.proxmox.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox